The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Драйвер RadeonSI достиг поддержки OpenGL 3.0"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от opennews (??) on 06-Сен-13, 21:10 
Разработчик Marek Olšák представил (http://lists.freedesktop.org/archives/mesa-dev/2013-Septembe...) серию из 11 патчей, завершивших реализацию возможностей, которых не хватало для декларирования поддержки OpenGL 3.0 драйвером RadeonSI, обеспечивающим работу GPU AMD семейств HD7000 и HD8000 с архитектурой GCN. Главным образом патчи добавляют поддержку "transform feedback", возможности при которой примитивы, появившиеся в результате вычислений вершинными шейдерами, можно сохранить в объект буфера и потом использовать в дальнейшем, что позволяет выполнить несколько проходов над неким набором данных.


В результате данной серии патчей драйвер RadeonSI достиг состояния при котором можно декларировать поддержку OpenGL 3.0. К сожалению, это также требует LLVM версии 3.4. Поэтому желающим получить поддержку OpenGL 3.0 придется или самостоятельно собирать LLVM из дерева разработчиков или ждать выпуска LLVM 3.4, что состоится приблизительно в начале 2014 года.

URL: http://www.phoronix.com/scan.php?page=news_item&px=MTQ1MjY
Новость: https://www.opennet.ru/opennews/art.shtml?num=37844

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +1 +/
Сообщение от Аноним (??) on 06-Сен-13, 21:10 
замечательная новость! совсем скоро моя hd7000 станет полноценной
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

11. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от Аноним (??) on 06-Сен-13, 23:51 
Полноценной она станет, когда будет выдавать такую же производительность, как в других ОСях. А когда железка за 500 баксов работает, как, грубо говоря, железка за 200 баксов - это значит, что-то неладное с используемым софтом.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

12. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +1 +/
Сообщение от Аноним (??) on 07-Сен-13, 01:02 
это в каких же, в BSD, наверное?
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

16. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 06:23 
>Полноценной она станет, когда будет выдавать такую же производительность, как в других ОСях.

Ставишь GNU/Linux. Ставишь fglrx. Радуешься.

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

21. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от Аноним (??) on 07-Сен-13, 12:28 
>Ставишь GNU/Linux. Ставишь fglrx. Радуешься.

Ну да, радуешься проприетарному fglrx в своём открытом линуксе.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

31. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от Аноним (??) on 07-Сен-13, 19:54 
>>Ставишь GNU/Linux. Ставишь fglrx. Радуешься.
> Ну да, радуешься проприетарному fglrx в своём открытом линуксе.

Проприерасня? В моем уютненьком? Нет пути! (с)

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

34. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +1 +/
Сообщение от Аноним (??) on 08-Сен-13, 02:03 
> железка за 200 баксов - это значит, что-то неладное с используемым софтом.

Для тех кто хочет грызть проприетарные кактусы - есть каталист, который по скорости более-менее похож на виндовый. Другое дело что управлять системой в стиле "как в винде" многим не нравится. Кроме того, проприерастичные драйвера не отличаются плагнплейностью. Ну, юзеры виндов конечно привычны к тому что драйвер надо ставить с дискетки. Ну или там сидюка. А в пингвине как-то так железо обычно just works и нужда подпихивать откуда-то сбоку драйвер да еще перегружаться - напрягает. Не говоря о том что сие не катит для ливцд и флешек. Там перезагружаться - вообще не вариант. Плагнплей должен быть сразу. А не после диджейства и перезагрузки.

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

2. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +1 +/
Сообщение от agente on 06-Сен-13, 21:11 
LLVM версии 3.4 для суси есть
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 06-Сен-13, 21:16 
Поясните, зачем драйверу LLVM?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

6. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +6 +/
Сообщение от xdbxd on 06-Сен-13, 21:46 
Компилировать шейдеры.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

5. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +2 +/
Сообщение от хрюкотающий зелюк on 06-Сен-13, 21:33 
> Поэтому желающим получить поддержку OpenGL 3.0 придется или самостоятельно собирать LLVM из дерева разработчиков или ждать выпуска LLVM 3.4, что состоится приблизительно в начале 2014 года.

[fat]Или поставить проприетарный драйвер как я за две минуты ;)[/fat]

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

7. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от анон on 06-Сен-13, 21:57 
13.8 beta2 непонятно быстрая и непонятно глючная какая-то.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

8. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Crazy Alex (ok) on 06-Сен-13, 22:02 
Ну так мы ж по-людски хотим, а зелюкам - и проприетарь сойдёт
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

10. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от ssy on 06-Сен-13, 22:21 
иногда виснет убунта при загрузке (пролечилось обновлением из xorg-edgers). По сравнению с виндой производительность ниже. Даже какой-то Guns of Icarus тормозит. Ноутбук, конечно... dual graphics... беда...
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

9. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 06-Сен-13, 22:08 
Такими темпами он скоро допилит драйвер до предела, а потом им (разработчикам драйверов) ничего не останется что еще можно было бы сделать. И придется АМД выпускать новую видеокарту.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

13. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 01:57 
> Такими темпами он скоро допилит драйвер до предела, а потом

А потом перейдет к запределу

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

22. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от mine (ok) on 07-Сен-13, 12:47 
Иначе говоря - беспределу.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

20. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 12:17 
Скоро это до конца поддержки этой серии или после?
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

35. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 08-Сен-13, 02:05 
> придется АМД выпускать новую видеокарту.

Так они как раз HD8000 должны выпустить скоро. В ядре и дровах поддержка как раз добавляется.

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

39. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 08-Сен-13, 09:39 
Ноутбуков с такими APU уже полно.
Ответить | Правка | ^ к родителю #35 | Наверх | Cообщить модератору

14. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –4 +/
Сообщение от Аноним (??) on 07-Сен-13, 03:53 
OSX поддерживает OpenGL 4.1
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

15. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +2 +/
Сообщение от Аноним (??) on 07-Сен-13, 06:21 
GNU/Linux FGLRX поддерживает OpenGL 4.3 :-P
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

18. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от Аноним (??) on 07-Сен-13, 08:46 
Зачем поддержка в ОС когда нету в драйвере?
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

19. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +1 +/
Сообщение от Анончик on 07-Сен-13, 10:19 
FGLRX тебе не драйвер?
Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

23. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от mine (ok) on 07-Сен-13, 12:48 
> FGLRX тебе не драйвер?

Он просто не все буквы знает. Что прочиталось - то и подумал...

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

17. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +2 +/
Сообщение от Chaser (??) on 07-Сен-13, 06:24 
и?
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

24. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 13:33 
>К сожалению, это также требует LLVM версии 3.4.

К сожалению, это требует LLVM вообще в каком бы то ни было виде.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

26. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 14:27 
к чему сожаления?
Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

36. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +1 +/
Сообщение от Аноним (??) on 08-Сен-13, 02:13 
> К сожалению, это требует LLVM вообще в каком бы то ни было виде.

Собственно как встроенная куда-то генерилка кода оно сойдет. А что вместо него пхать? GCC на такие применения как встраивание в драйвер для генерации на ходу кода шейдеров которые потом в GPU вгрузят - никогда не затачивался, а городить самопальные велики похожие по смыслу - может и подзадолбать.

Другое дело что супер-дупер-мега-кульный, с "супер-архитектурой" - почему-то вообще ни в зуб ногой о том что в природе оказывается VLIW-процессоры существуют. Ну да, эппл не юзает VLIW, так что можно забить, что б спорил :). В результате амдшники 2 года сношались чтобы убедить это генерить код хотя-бы просто будет технически валидным. А оптимальность - на уровне местечкового велика который раньше код генерил. В результате нынче городятся феерические костыли, типа постпроцессора кода который окультуривает тот бред который LLVM выдает на гора отдельным проходом, блин.

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

27. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от Аноним (??) on 07-Сен-13, 15:36 
Oil Rush заработал? Хотя бы ungine tropics заработает?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

38. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 08-Сен-13, 02:16 
> Oil Rush заработал? Хотя бы ungine tropics заработает?

Возьми да проверь.

Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

40. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 08-Сен-13, 09:39 
> Возьми да проверь.

Можно подумать это так просто.

Ответить | Правка | ^ к родителю #38 | Наверх | Cообщить модератору

28. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от Аноним (??) on 07-Сен-13, 16:49 
Скажите кто-нибудь, есть ли поддержка OpenGL 3.0 в драйвере RadeonNI (6770 к примеру моя видеокарта) в последней Mesa 9.2 и xf86-video-ati 7.2.0 ?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

29. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 17:20 
>в драйвере RadeonNI

драйвера radeonni нет.
драйвер для твоей видеокарты называется r600g и поддерживает radeon с 2400 по 7670
>последней Mesa 9.2 и xf86-video-ati 7.2.0 ?

Это вот твою видеокарту поддерживает.
OpenGL 3.1

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

41. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 08-Сен-13, 09:49 
> Это вот твою видеокарту поддерживает.
> OpenGL 3.1

И все предидущее тоже.

Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

33. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  –1 +/
Сообщение от commiethebeastie (ok) on 08-Сен-13, 00:44 
Вери слоу, на этих картах уже давно fglrx поудаляли все.
Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

37. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 08-Сен-13, 02:15 
> Вери слоу, на этих картах уже давно fglrx поудаляли все.

Амд вообще напалмом жжот. И управление питанием запилили, весьма на уровне. И UVD через VDPAU вывесили. И все это в открытом драйвере. Крутота.

Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

30. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Аноним (??) on 07-Сен-13, 18:44 
Спасибо, о добрый аноним, разобрался!
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

42. "Драйвер RadeonSI достиг поддержки OpenGL 3.0"  +/
Сообщение от Loooooker (ok) on 08-Сен-13, 20:59 
Интересно, а когда можно готовый драйвер с этим добром ждать?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру